www.cendio.com
Bug 6054 - clipboard textarea interferes with mouse input on IE and Edge
: clipboard textarea interferes with mouse input on IE and Edge
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.11.0
Assigned To:
:
:
: 7365
:
  Show dependency treegraph
 
Reported: 2016-10-13 11:19 by
Modified: 2019-11-06 09:56 (History)
Acceptance Criteria:
Add relnotes for clipboard text area focus fix for IE and Edge


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2016-10-13 11:19:17
Mouse events fail to be delivered when the clipboard textarea has focus in the
HTML client. This is noticed in several ways:

 - The first click in the session is dropped
 - If local cursor is disabled then you don't see the mouse move around (IE and
Edge)
 - Middle click can trigger a scroll mode if the session is larger than the
browser window
------- Comment #1 From cendio 2017-04-10 16:15:58 -------
Verified that Chrome, Firefox and Edge does not suffer from this problem on
Windows 10  platform.

However i found that IE is even worse then this, when clicking within the
session the clipboard windows wont release its focus and you cant write into
the session. You are forced to click the clipboard toggle button to get input
back into the session.
------- Comment #2 From cendio 2017-04-10 16:17:11 -------
Also verified that Chrome on Linux platform is not affected.
------- Comment #3 From cendio 2017-04-11 14:33:35 -------
(In reply to comment #2)
> Also verified that Chrome on Linux platform is not affected.

This works as announced while clicking in gedit, but when clicking into xterm
it fails.
------- Comment #4 From cendio 2017-04-11 14:56:02 -------
(In reply to comment #3)
> This works as announced while clicking in gedit, but when clicking into xterm
> it fails.

Could be the difference in behavior between GTK2 and GTK3 that we have seen
before. I believe one of them react on click and the other on mouse-up.

My theory is that mouse down and click are not sent the first time you click in
the session after using the clipboard. Mouse-up seems to go through though.
------- Comment #5 From cendio 2019-10-08 13:09:54 -------
This seems to have been fixed in the latest vendor drop. Let's have a closer
look.

I would have expected bug 6224 to fix this, but I can still reproduce it with
4.10.1 on eudemo.
------- Comment #6 From cendio 2019-10-31 12:46:00 -------
Tested after vendor drop (Build 6278) on:
* Windows 10 - IE 11 and Edge 18

Works well in both IE and Edge!
------- Comment #8 From cendio 2019-11-06 09:56:46 -------
Release notes looks good!